# Uses of Interface
org.eclipse.ecf.filetransfer.IFileRangeSpecification

Packages that use IFileRangeSpecification
Package
Description
org.eclipse.ecf.filetransfer
org.eclipse.ecf.provider.filetransfer.retrieve

## Uses of IFileRangeSpecification in org.eclipse.ecf.filetransfer

Methods in org.eclipse.ecf.filetransfer that return IFileRangeSpecification
Modifier and Type
Method
Description
`IFileRangeSpecification`
IIncomingFileTransfer.`getFileRangeSpecification()`
Get file range specification for this incoming file transfer instance.
`IFileRangeSpecification`
InvalidFileRangeSpecificationException.`getFileRangeSpecification()`
Methods in org.eclipse.ecf.filetransfer with parameters of type IFileRangeSpecification
Modifier and Type
Method
Description
`void`
IRetrieveFileTransferContainerAdapter.`sendRetrieveRequest(IFileID remoteFileID, IFileRangeSpecification rangeSpecification, IFileTransferListener transferListener, Map options)`
Send request for transfer of a remote file to local file storage.
Constructors in org.eclipse.ecf.filetransfer with parameters of type IFileRangeSpecification
Modifier
Constructor
Description
``
`InvalidFileRangeSpecificationException(String message, Throwable cause, IFileRangeSpecification rangeSpec)`
``
`InvalidFileRangeSpecificationException(String message, IFileRangeSpecification rangeSpec)`
``
`InvalidFileRangeSpecificationException(Throwable cause, IFileRangeSpecification rangeSpec)`
``
`InvalidFileRangeSpecificationException(org.eclipse.core.runtime.IStatus status, IFileRangeSpecification rangeSpec)`
``
`InvalidFileRangeSpecificationException(IFileRangeSpecification rangeSpec)`

## Uses of IFileRangeSpecification in org.eclipse.ecf.provider.filetransfer.retrieve

Fields in org.eclipse.ecf.provider.filetransfer.retrieve declared as IFileRangeSpecification
Modifier and Type
Field
Description
`protected IFileRangeSpecification`
AbstractRetrieveFileTransfer.`rangeSpecification`
Methods in org.eclipse.ecf.provider.filetransfer.retrieve that return IFileRangeSpecification
Modifier and Type
Method
Description
`IFileRangeSpecification`
AbstractRetrieveFileTransfer.`getFileRangeSpecification()`
Methods in org.eclipse.ecf.provider.filetransfer.retrieve with parameters of type IFileRangeSpecification
Modifier and Type
Method
Description
`void`
AbstractRetrieveFileTransfer.`sendRetrieveRequest(IFileID rFileID, IFileRangeSpecification rangeSpec, IFileTransferListener transferListener, Map ops)`
`void`
MultiProtocolRetrieveAdapter.`sendRetrieveRequest(IFileID remoteFileID, IFileRangeSpecification rangeSpecification, IFileTransferListener transferListener, Map options)`